geotranz version 3.1-2 failed to build in oneiric

Bug #831153 reported by Matthias Klose
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
geotranz (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

geotranz version 3.1-2 failed to build in oneiric
Link to failed build: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2693892

Details about the rebuild:
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110816-oneiric.html

Direct link to the build log: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2693892/+files/buildlog_ubuntu-oneiric-amd64.geotranz_3.1-2_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Source-dependencies not satisfied'.
Excerpt 108 lines into the build log:

Checking for source dependency conflicts...
  /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install cdbs debhelper openjdk-6-jdk giftrans imagemagick
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 openjdk-6-jdk : Depends: openjdk-6-jre (>= 6b23~pre8-1ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
apt-get failed.
Package installation failed
Trying to reinstall removed packages:
Trying to uninstall newly installed packages:
Source-dependencies not satisfied; skipping geotranz

Matthias Klose (doko)
Changed in geotranz (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

This problem already fixed in sid. I send sync request at #850922

BTW, in this case, should I send sync request to this ticket?
Don't I use requestsync?

Changed in geotranz (Ubuntu Oneiric):
status: Confirmed → In Progress
Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

Sorry, I commented wrong place. Please ignore above.

Changed in geotranz (Ubuntu Oneiric):
status: In Progress → Confirmed
Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

To return main topic, it seems that unmet openjdk-6-jre is temporary problem.
I tried to rebuild in pbuilder, it succeeded build.

Revision history for this message
Matthias Klose (doko) wrote :

transient build failure, thanks for checking!

Changed in geotranz (Ubuntu Oneiric):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments